$('.expand').click(function(event){
	console.log('woo');
	var el = $(this);
	var hidden = el.prev();
	hidden.toggleClass('active');

	if(hidden.hasClass('active')){
		el.html('<i class="material-icons">expand_less</i> Hide Details');
	}else{
		el.html('<i class="material-icons">expand_more</i> Show Details');
	}
});

function importSidebar(){
	var content = document.querySelector('#sidebarTemplate').import;
    var template = content.querySelector('template');
    var clone = document.importNode(template.content, true);
    document.querySelector('#sidebar').appendChild(clone);
}

function importHeader(){
	var content = document.querySelector('#headerTemplate').import;
    var template = content.querySelector('template');
    var clone = document.importNode(template.content, true);
    document.querySelector('#header').appendChild(clone);
}

window.addEventListener('WebComponentsReady', function(e) {
  // imports are loaded and elements have been registered
  	console.log('Components are ready');
  	importSidebar();
	importHeader();

	$('.close').click(function(){
		$('#sidebar').toggleClass('active');
	});

	$('.openTrigger').click(function(){
		$('#sidebar').toggleClass('active');
	});

	$('#sidebar').click(function(e){
		if (e.target == this){
			$('#sidebar').toggleClass('active');
		}
	});
});